<rtflowfile version="1.0">
   <block name="Integral" folder="Standard\Dynamic\" width="32" height="32">
      <resize constrainprop="false" allow="true"/>
      <instancename show="true" position="up"/>
      <blockname show="false" position="down"/>
      <portnames show="false" inside="true"/>
      <graphic class="rect" x1="0" y1="0" x2="32" y2="32">
         <fill fill="true" color="0x00EEEEEE"/>
      </graphic>
      <graphic class="text" x="12" y="16" height="18" s="" font="Symbol"/>
      <graphic class="text" x="20" y="16" height="13" s="dt" font="Times New Roman"/>
      <doc>Integrates a real-valued signal. The integral is computed by multiplying i0 by the sample time and accumulating the result. The integral is 0 in the first execution cycle.</doc>
      <port name="i0" type="real" x="0" y="16" kind="input" dir="left">
         <doc>The signal to integrate.</doc>
      </port>
      <port name="o" type="real" x="32" y="16" kind="output" dir="right">
         <doc>The integral of i0.</doc>
      </port>
   </block>
   <schematic name="Integral" width="930" height="602">
      <editor gridsize="16" alignports="true" autovalue="true"/>
      <binstance name="Pre1" block="Pre" x="128" y="112">
         <constant name="initial" value="0" show="true" x="16" y="24"/>
      </binstance>
      <binstance name="Add1" block="Add" x="208" y="80"/>
      <binstance name="i0" block="RealInput" x="64" y="48"/>
      <binstance name="o" block="RealOutput" x="288" y="88"/>
      <binstance name="Mult1" block="Mult" x="128" y="48"/>
      <binstance name="Dt1" block="Dt" x="64" y="80"/>
      <connection name="o" port1="Add1.o" port2="Pre1.i0">
         <point x="240" y="96"/>
         <point x="256" y="96"/>
         <point x="256" y="160"/>
         <point x="96" y="160"/>
         <point x="96" y="128"/>
         <point x="128" y="128"/>
      </connection>
      <connection name="pre_o" port1="Pre1.o" port2="Add1.i1">
         <point x="160" y="128"/>
         <point x="192" y="128"/>
         <point x="192" y="104"/>
         <point x="210" y="104"/>
      </connection>
      <connection name="o" port1="Add1.o" port2="o.i0">
         <point x="240" y="96"/>
         <point x="288" y="96"/>
      </connection>
      <connection name="i0" port1="i0.o" port2="Mult1.i0">
         <point x="80" y="56"/>
         <point x="130" y="56"/>
      </connection>
      <connection name="idt" port1="Mult1.o" port2="Add1.i0">
         <point x="160" y="64"/>
         <point x="192" y="64"/>
         <point x="192" y="88"/>
         <point x="210" y="88"/>
      </connection>
      <connection name="dt" port1="Dt1.o" port2="Mult1.i1">
         <point x="96" y="96"/>
         <point x="112" y="96"/>
         <point x="112" y="72"/>
         <point x="130" y="72"/>
      </connection>
   </schematic>
</rtflowfile>
